/**
 * app/js/main.js
 *
 * This file is for 'access anywhere' javascript.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
/**
 * Automatically selects/de-selects all check boxes associated with that field
 **/
function checkAll(ele) {
    var checkboxes = document.getElementsByTagName( 'input' );
    if (ele.checked) {
        test = true;
    } else {
        test = false;
    }
    for ( var i = 0; i < checkboxes.length; i++ ) {
        if ( checkboxes[i].type == 'checkbox' ) {
            if ( checkboxes[i].name == ele.value ) {
                checkboxes[i].checked = test;
            }
        }
    }
}

function copyAll( ele ) {
    var eleName = '#' + ele;
    var text = $( eleName ).text();
    text = text.replaceAll( "''", "\n" ).trim();
    text = text.substring( 1, text.length - 1 );
    navigator.clipboard.writeText( text );
    console.log( '#' + ele );
}

function insertTag( box, tag ) {
    var Field = document.getElementById( box );
    var currentPos = cursorPos( Field );
    var val = Field.value;
    var before = val.substring( 0, currentPos );
    var after = val.substring( currentPos, val.length );
    Field.value = before + '(' + tag + ')' + after;
}

function cursorPos( el ) {
    if ( el.selectionStart ) {
        return el.selectionStart;
    } else if ( document.selection ) {
        el.focus();
        var r = document.selection.createRange();
        if ( r == null ) {
            return 0;
        }
        var re = el.createTextRange(),
            rc = re.duplicate();
        re.moveToBookmark( r.getBookmark() );
        rc.setEndPoint( 'EndToStart', re );
        return rc.text.length;
    }
    return 0;
}

function getRandomInt(min, max) {
    const minCeiled = Math.ceil(min);
    const maxFloored = Math.floor(max);
    return Math.floor(Math.random() * (maxFloored - minCeiled) + minCeiled);
}

$(document).ready(function() {
    $('select').each(function() {
        var selectedValue = $(this).attr('value');
        if (selectedValue) {
            $(this).removeAttr('value');
            $(this).find('option').each(function() {
                if ($(this).attr('value') === selectedValue) {
                    $(this).prop('selected', true);
                }
            });
        }
    });
});

// with the dynamic footer, you need to adjust the content padding to make sure the footer doesn't overlap the content
  document.addEventListener('DOMContentLoaded', function () {
    const toggleButton = document.getElementById('dark-mode-toggle');
    const darkModeStylesheet = document.getElementById('dark-mode-stylesheet');
    console.error( 'DOMContentLoaded');

    // Check if dark mode is saved in localStorage
    if (localStorage.getItem('darkMode') === 'enabled') {
      darkModeStylesheet.disabled = false;
      toggleButton.checked = true;
      
        console.error( 'darkMode enabled');
    } else {
        
        console.error( 'darkMode disabled');
    }

    toggleButton.addEventListener('click', function () {
        console.error( 'addEventListener');
      if (darkModeStylesheet.disabled) {
        darkModeStylesheet.disabled = false;
        localStorage.setItem('darkMode', 'enabled');
      } else {
        darkModeStylesheet.disabled = true;
        localStorage.setItem('darkMode', 'disabled');
      }
    });
  });