<?php
/**
 * app/plugins/bugreport/plugin.php
 *
 * This houses all of the main plugin info and functionality.
 *
 * @package TP BugReports
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Plugins;

use ReflectionClass;
use TheTempusProject\Classes\Installer;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Classes\Plugin;
use TheTempusProject\TheTempusProject as App;

class Bugreport extends Plugin {
    public $pluginName = 'TP BugReports';
    public $pluginAuthor = 'JoeyK';
    public $pluginWebsite = 'https://TheTempusProject.com';
    public $modelVersion = '1.0';
    public $pluginVersion = '3.0';
    public $pluginDescription = '';
    public $configName = 'bugreports';
    public $configMatrix = [
        'enabled' => [
            'type' => 'radio',
            'pretty' => 'Enable Bug reporting.',
            'default' => true,
        ],
        'sendEmail' => [
            'type' => 'radio',
            'pretty' => 'Email the user after submitting.',
            'default' => true,
        ],
        'emailTemplate' => [
            'type' => 'text',
            'pretty' => 'Email Template',
            'default' => 'BugReportEmail',
        ],
    ];
    public $permissionMatrix = [
        'bugReport' => [
            'pretty' => 'Can Submit Bug Reports',
            'default' => false,
        ],
    ];
    public $contact_footer_links = [
        [
            'text' => 'Bug Report',
            'url' => '{ROOT_URL}bugreport',
        ],
    ];
    public $admin_links = [
        [
            'text' => '<i class="fa fa-fw fa-bug"></i> Bug Reports',
            'url' => '{ROOT_URL}admin/bugreport',
        ],
    ];
}
